A header file typically contains a class definition, in which the member functions and data members of the class are declared (function prototypes are function declarations).All header files are .h or .hpp format files.
A source-code file is typically used to provide the definitions of the member functions declared in the class’s header file.Main function is written in a source-code file as well. And all the source-code files are .cpp format files.
